Name:           python-sphinx-pytest
Version:        0.1.1
Release:        1%{?dist}
Summary:        Helpful pytest fixtures for sphinx extensions

# SPDX
License:        MIT
URL:            https://github.com/chrisjsewell/sphinx-pytest
Source:         %{pypi_source sphinx_pytest}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
Helpful pytest fixtures for sphinx extensions.
This extension provides pytest fixtures to "simulate" converting
some source text to docutils AST at different stages; before transforms,
after transforms, etc.}


%description %_description

%package -n     python3-sphinx-pytest
Summary:        %{summary}

%description -n python3-sphinx-pytest %_description


%prep
%autosetup -p1 -n sphinx_pytest-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files sphinx_pytest


%check
%pytest


%files -n python3-sphinx-pytest -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Mon Jun 19 2023 Karolina Surma <ksurma@redhat.com> - 0.1.1-1
- Update to 0.1.1

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 0.0.3-4
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 22 2022 Karolina Surma <ksurma@redhat.com> - 0.0.3-1
- Initial package
Resolves: rhbz#2100032
